Summary: An X Window System utility for monitoring system resources.
Name: xosview
%define version 1.7.1
Version: %{version}
Release: 8
Exclusiveos: Linux
# XXX ia64 needs porting work
# XXX alpha barfs on linux/serial.h
ExcludeArch: alpha ia64
#
# Source: http://lore.ece.utexas.edu/~bgrayson/xosview/xosview-%{version}.tar.gz
Source: ftp://sunsite.unc.edu/pub/Linux/utils/status/xosview-%{version}.tar.gz
Patch0: xosview-1.7.0-sparc.patch
Copyright: distributable GPL
Group: Applications/System
Buildroot: %{_tmppath}/%{name}-root

%description
The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc.  Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.

%prep
%setup -q
%ifarch sparc sparcv9 sparc64 %{ix86}
%patch0 -p1 -b .sparc
%endif

# --- XXX Cruft Alert!
rm -f linux/*.o

%build
%configure --disable-linux-memstat

make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1,lib/X11/app-defaults}

make PREFIX_TO_USE=$RPM_BUILD_ROOT/usr/X11R6 install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk
cat > $RPM_BUILD_ROOT/etc/X11/applnk/xosview.desktop <<EOF
[Desktop Entry]
name=xosview
Comment=OS Stats Viewer
Exec=xosview
Terminal=0
Type=Administration
EOF

chmod u-s $RPM_BUILD_ROOT/usr/X11R6/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
%config /usr/X11R6/lib/X11/app-defaults/*
%config /etc/X11/applnk/xosview.desktop

%changelog
* Tue Jul 25 2000 Jeff Johnson <jbj@redhat.com>
- migrate wmconfig to applnk.

* Fri Jul 14 2000 Jeff Johnson <jbj@redhat.com>
- rebuild the auto-rebuild.
- exclude alpha and i164 for now.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun  2 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for 7.0

* Mon Feb 14 2000 Matt Wilson <msw@redhat.com>
- rebuild on i386

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add sparc/alpha functionality.
- add %clean

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- how the hell did this get setuid root?

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.1 (so that it compiles with egcs)
- buildroot

* Tue Nov  4 1997 Erik Troan <ewt@redhat.com>
- commented out line causing core dumps when exiting

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
